Subject: Display list of referrals

Description: At the moment it is not possible for a customer to get a list of other customers that they have referred. Credit 

simply appears in their account.





It would be nice to be able to see a list of the customers that you have referred, together with how much 

service credit each one brings in and the frequency of that. Customers that are no longer active could also 

be shown, greyed out or something.





In addition it might be possible to show the referral's VPS config and next expected payment date, but this 

feels like too much information to be giving to one customer about another. Thoughts?

History

2010-06-21 10:49 - robert

I don't think it is necessary for customers to see a lot of information about their referrals, although I would say that being able to see how much each 

referral is worth and the expected date it is applied would be useful.

2010-06-22 17:37 - admin

Being able to see when it's next due implies seeing the referred customer's next billing date, which I'm currently thinking is too much info. I might be 

more comfortable having it say "within the next month/3 months/year".

2010-07-18 04:57 - admin

I think new referrals should also appear here so that you can choose whether they will be a service credit or a donation, without bitfolk having to ask 

you.

2012-01-11 05:36 - admin

There hasn't been much feedback over the privacy concerns so I'm going to assume that nobody has any strong feelings.

I intend to reveal the following information to referrers:

* Account name

* Referral amount (thus cost of service can be calculated)

* Payment schedule (monthly / quarterly / yearly)

* Date of account setup and whether they are still a customer or not

Privacy policies and documentation about the referral scheme will be updated to reflect this.

For those who are not comfortable with this information disclosure, the recommendation will be to not nominate a referrer.

At least a month will be allowed for existing customers to take back any referrers they've already nominated.

2012-01-11 06:35 - admin

Updated description to clarify existing situation.

2012-01-11 08:13 - halleck

Thanks for mentioning this on the mailing list, because I do have feelings about it.





Actually, feelings is the precise right word. While I see no specific harm in sharing the listed information, it still feels a bit icky to share financial 
information with a potential stranger.





Myself I found my way to Bitfolk by way of a blog post, and ended up putting the author as my referrer. With this new (suggested?) policy I would most 

likely not have nominated that person as a referrer, and I expect that I will want to take it back.

2012-01-12 03:21 - admin

This new/suggested policy has come about because of this feature request. Although this request was created by me, it was still based on actual 

feature requests made by customers, and it _has_ received some positive votes.





As things currently stand, the person you nominated as your referrer will have seen that they gained a new referral, and will have been able (if they 

wished) to work out how much your service costs based on how much credit they were getting. From the dates when the credit was added they could 

work out what your payment schedule is. The only new information proposed is your account name.





Admittedly, all the previous information would require a great deal of effort to obtain at the moment since they would have to keep logging in to the 

panel to see their credit.

2012-01-22 06:14 - admin

- Status changed from New to Resolved

I am going to resolve this feature request now. If anyone has an issue with this information being disclosed then I completely understand and suggest 

that you contact support to have the referral removed.

2012-01-22 06:18 - admin

- Status changed from Resolved to Closed
